-- ----------------------------------------------------------
-- Предполагаемое количество записей: 300,000,000 строк
-- Глубина: 3 года
--
-- Дополнительные примечания к полям:
-- Поле operation_type содержит следующие значения:
--  * deposit - пополнение счета
--  * withdrawal - вывод средств со счета клиента
--  * transfer - перевод средств между личными счетами клиента
-- ----------------------------------------------------------

-- Таблица баланса счетов клиентов
-- ----------------------------------------------------------
CREATE TABLE stage.tb_operations (
    user_uid            UUID NOT NULL,                          -- Идентификатор пользователя (UUID)
    account             INTEGER NOT NULL,                       -- Счет клиента
    operation_type      VARCHAR(20) NOT NULL,                   -- Тип операции баланса по счету клиента
    operation_date      TIMESTAMP WITHOUT TIME ZONE NOT NULL,   -- Метка времени операции баланса по счету клиента
    amount              NUMERIC NOT NULL                        -- Сумма средств по операции баланса по счету клиента
);

